Summary:	Validate, correct, and pretty-up HTML files
Name:		tidy
Version:    20050302
Release:	1.norlug
Group:		Utilities/Text
License:    BSD Style
URL:        http://tidy.sourceforge.net/
Source0:	http://tidy.sourceforge.net/src/%{name}_src.tgz
Source1:	http://tidy.sourceforge.net/docs/%{name}_docs.tgz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides:	htmltidy, HTMLtidy
Epoch:      1

%description
When editing HTML it's easy to make mistakes. Wouldn't it be nice if there
was a simple way to fix these mistakes automatically and tidy up sloppy
editing into nicely layed out markup? Well now there is! Dave Raggett's HTML
TIDY is a free utility for doing just that. It also works great on the
atrociously hard to read markup generated by specialized HTML editors and
conversion tools, and can help you identify where you need to pay further
attention on making your pages more accessible to people with disabilities.

Tidy is able to fix up a wide range of problems and to bring to your
attention things that you need to work on yourself. Each item found is listed
with the line number and column so that you can see where the problem lies in
your markup. Tidy won't generate a cleaned up version when there are problems
that it can't be sure of how to handle. These are logged as "errors" rather
than "warnings".

%prep
%setup -q -n %{name}
%setup -q -n %{name} -T -D -b 1

%build
cd build/gmake/
make

%install
cd build/gmake/
make install runinst_prefix=$RPM_BUILD_ROOT/usr \
	     devinst_prefix=$RPM_BUILD_ROOT/usr
install --directory $RPM_BUILD_ROOT/usr/share/man/man1/
install ../../htmldoc/man_page.txt $RPM_BUILD_ROOT/usr/share/man/man1/tidy.1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc    htmldoc/*.html htmldoc/*.css htmldoc/*.gif
%docdir htmldoc/api/
%doc    %{_mandir}/man1/*
%{_bindir}/tidy
%{_bindir}/tab2space
%{_libdir}/libtidy.a
%{_includedir}/tidy/*

%changelog
* Wed Mar 2 2005 Chip Cuccio <chipster@norlug.org> 20050302-1
- updated (incl. 2004/12 docs).

* Fri Oct 29 2004 Chip Cuccio <chipster@norlug.org> 041029-1
- updated

* Sat May 29 2004 Chip Cuccio <chipster@norlug.org> 040514-1
- updated docs and version to 040514

* Thu Feb 5 2004 Chip Cuccio <chipster@norlug.org> 20040202
- update to 20040202

* Thu Dec 5 2003 Chip Cuccio <chipster@norlug.org> 20031101-1
- initial (and long overdue) build

